Kerbal Space Program - Bug #5098

Docking with claw when claw-equipped ship not focused breaks physics
06/01/2015 03:39 PM - ringerc

Status: Duplicate Start date: 06/01/2015
Severity: Low % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 1.0.2 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

If a ship with a claw is lined up on another vessel, then focus is switched to the target vessel and the claw engages, both vessels
appear to "fall" out of the camera and begin moving anomalously.

This is simple to reproduce in 1.0.2.

Start a new sandbox game.

Launch a ship with claw into LkO

Launch a second ship to serve as a target
Rendezvous and match orbits

Switch to the vessel with the claw

Arm the claw

Line the clawed vessel up on the other one
Accelerate to set up a docking lineup
Switch focus with ] to the target vessel

When the two dock, they'll both fall off screen.
See attached screenshot for debug log, which repeats:

[Exception]: NullReferenceException
[Exception]: NullReferenceException: Object reference not set to an instance of an object

endlessly.

Related issues:

Related to Kerbal Space Program - Bug #5264: NPE caused by connecting active ... Duplicate 07/24/2015
Is duplicate of Kerbal Space Program - Bug #2753: New kraken: all ships accel... Closed 07/12/2014
History

#1 - 06/01/2015 03:43 PM - ringerc

KSP.log

[LOG 23:28:25.278] stage manager resuming...
[LOG 23:28:25.320] Unpacking Claw Bug Tester
[LOG 23:28:25.320] Unpacking Claw Bug Tester
[LOG 23:28:31.260] SCREENSHOT!!
[LOG 23:28:31.944] SCREENSHOT!
[LOG 23:28:32.659] SCREENSHOT!
[LOG 23:28:33.046] SCREENSHOT!
[LOG 23:28:33.458] SCREENSHOT!
[LOG 23:28:34.293] SCREENSHOT!
[LOG 23:28:34.890] SCREENSHOT!
[LOG 23:28:35.461] SCREENSHOT!!
[LOG 23:28:38.723] [Grapple Module] Grabbing on to FL-T800 Fuel Tank on Claw Bug Tester
[LOG 23:28:38.724] [PlanetariumCamera]: Focus: Kerbin
[LOG 23:28:38.737] [Grapple Joint]: joint ready
[EXC 23:28:38.743] NullReferenceException

UnityEngine.Component.get_transform ()

OrbitPhysicsManager.checkReferenceFrame ()
OrbitPhysicsManager.FixedUpdate ()
28:38.743] NullReferenceException

UnityEngine.Component.get_transform

FloatingOrigin.FixedUpdate

0

28:38.747] NullReferenceException

UnityEngine.Component.get_transform
OrbitPhysicsManager.checkReferenceFrame

OrbitPhysicsManager.FixedUpdate ()
28:38.748] NullReferenceException

UnityEngine.Component.get_transform

FloatingOrigin.FixedUpdate

O

28:38.759] NullReferenceException:
VesselAutopilotUI.LateUpdate
28:38.760] NullReferenceException:

FlightUIController.LateUpdate

0

0

28:38.761] NullReferenceException

UnityEngine.Component.get_transform

OrbitPhysicsManager.LateUpdate ()
28:38.761] NullReferenceException

UnityEngine.Component.get_transform

FlightGlobals.get_upAxis ()

FlightCamera.UpdateCameraTransform

FlightCamera.LateUpdate ()

28:38.771] NullReferenceException

UnityEngine.Component.get_transform

Vessellabels.DrawGUI ()
RenderingManager.OnGUI ()

28:38.776] NullReferenceException

UnityEngine.Component.get_transform
OrbitPhysicsManager.checkReferenceFrame

OrbitPhysicsManager.FixedUpdate ()
28:38.777] NullReferenceException

UnityEngine.Component.get_transform

FloatingOrigin.FixedUpdate

0

28:38.780] NullReferenceException

UnityEngine.Component.get_transform
OrbitPhysicsManager.checkReferenceFrame

OrbitPhysicsManager.FixedUpdate ()
28:38.781] NullReferenceException

UnityEngine.Component.get_transform

FloatingOrigin.FixedUpdate

28:38.793] NullReferenceException:

O

VesselAutopilotUI.LateUpdate

28:38.794] NullReferenceException:
FlightUIController.LateUpdate

0

0

28:38.794] NullReferenceException

UnityEngine.Component.get_transform

OrbitPhysicsManager.LateUpdate ()
28:38.794] NullReferenceException

UnityEngine.Component.get_transform

FlightGlobals.get_upAxis ()

FlightCamera.UpdateCameraTransform

FlightCamera.LateUpdate ()

28:38.804] NullReferenceException

UnityEngine.Component.get_transform

Vessellabels.DrawGUI ()
RenderingManager.OnGUI ()

28:38.810] NullReferenceException

UnityEngine.Component.get_transform
OrbitPhysicsManager.checkReferenceFrame

OrbitPhysicsManager.FixedUpdate ()
28:38.810] NullReferenceException

UnityEngine.Component.get_transform

FloatingOrigin.FixedUpdate

0

28:38.813] NullReferenceException

UnityEngine.Component.get_transform
OrbitPhysicsManager.checkReferenceFrame

OrbitPhysicsManager.FixedUpdate ()
28:38.814] NullReferenceException

UnityEngine.Component.get_transform

FloatingOrigin.FixedUpdate

..and so on.
#2 - 06/01/2015 03:45 PM - ringerc

Note that this may be related to #5097 - but | can't seem to break timewarp with this technique, unlike the other one, and the breakage caused by this
technigue seems to be recoverable by leaving to space center if you're fast enough.

#3 - 06/03/2015 10:43 AM - Geschosskopf
- Status changed from New to Confirmed

- % Done changed from 0 to 10

This bug has been reported many times before. It's been around since the Claw was 1st introduced back in 0.23.5. A number of YouTubers have
been exploiting this ever since in comedy videos.

#4 - 06/12/2015 06:59 AM - ringerc

Geschosskopf wrote:
This bug has been reported many times before. It's been around since the Claw was 1st introduced back in 0.23.5. A number of YouTubers
have been exploiting this ever since in comedy videos.

Hopefully the team will have some time to chase such old bugs and stabilize now that "1.0" has hit.

It might be worth closing this as a duplicate then, if there's an authorative bug # for it. | didn't find one.

#5 - 07/02/2015 04:15 PM - Squelch

- Status changed from Confirmed to Duplicate

- % Done changed from 10 to 100

Issue #2753 is the earliest report of this.

As requested, marked as duplicate, but please continue to report further findings.

#6 - 07/02/2015 04:16 PM - Squelch

- Is duplicate of Bug #2753: New kraken: all ships accelerate randomly and are uncontrollable when time warp is engaged added

#7 - 07/25/2015 12:27 AM - Squelch

- Related to Bug #5264: NPE caused by connecting active vessel to non-active vessel klaw added

Files

buglog.png 574 KB 06/01/2015 ringerc

05/17/2024 3/3


https://bugs.kerbalspaceprogram.com/issues/5097
https://bugs.kerbalspaceprogram.com/issues/2753
http://www.tcpdf.org

